RTEMS: bsps/arm/atsam/contrib/libraries/libchip/source/pio_capture.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions
pio_capture.c File Reference
`#include "chip.h"`
`#include <assert.h>`

## Macros
#define | PIO_PCISR_RXBUFF (0x1u<<3)
#define | PIO_PCISR_ENDRX (0x1u<<2)

## Functions
void | PIO_CaptureHandler (void)
| The PIO_CaptureHandler must be called by the PIO Capture Interrupt Service Routine with the corresponding PIO Capture instance.
void | PIO_CaptureDisableIt (uint32_t itToDisable)
| Disable Interrupt of the PIO Capture.
void | PIO_CaptureEnableIt (uint32_t itToEnable)
| Enable Interrupt of the PIO Capture.
void | PIO_CaptureEnable (void)
| Enable the PIO Capture.
void | PIO_CaptureDisable (void)
| Disable the PIO Capture.
void | PIO_CaptureInit (SpioCaptureInit *pInit)
| Initialize the PIO Capture.

## Detailed Description

Implementation of PIO Parallel Capture.

## Function Documentation

## ◆ PIO_CaptureDisableIt()

void PIO_CaptureDisableIt | ( | uint32_t | itToDisable | ) |

Disable Interrupt of the PIO Capture.

Parameters

  itToDisable | : Interrupt to disable

## ◆ PIO_CaptureEnableIt()

void PIO_CaptureEnableIt | ( | uint32_t | itToEnable | ) |

Enable Interrupt of the PIO Capture.

Parameters

  itToEnable | : Interrupt to enable

## ◆ PIO_CaptureInit()

void PIO_CaptureInit | ( | SpioCaptureInit * | pInit | ) |

Initialize the PIO Capture.

Parameters

  dsize | : 0 = The reception data in the PIO_PCRHR register is a BYTE (8-bit). 1 = The reception data in the PIO_PCRHR register is a HALF-WORD (16-bit). 2/3 = The reception data in the PIO_PCRHR register is a WORD (32-bit).
  alwaysSampling | ALWYS: Parallel Capture Mode Always Sampling 0 = The parallel capture mode samples the data when both data enables are active. 1 = The parallel capture mode samples the data whatever the data enables are.
  halfSampling | HALFS: Parallel Capture Mode Half Sampling 0 = The parallel capture mode samples all the data. 1 = The parallel capture mode samples the data only one time out of two.
  modeFirstSample | FRSTS: Parallel Capture Mode First Sample This bit is useful only if the HALFS bit is set to 1. If data are numbered in the order that they are received with an index from 0 to n: 0 = Only data with an even index are sampled. 1 = Only data with an odd index are sampled.